#ifndef MAINWINDOW_H
#define MAINWINDOW_H


class MainWindow
{
	public:
		MainWindow();
		virtual ~MainWindow() = default;
		void virtual show() = 0;
		void virtual activateGlContext() = 0;
		void virtual swapBuffer();

};

#endif // MAINWINDOW_H
